<code>finvoice_INVOICE_Header1CodeMCode0COMPILER_in_4op_lUse4DOpen:=kFalsexml_sRedirectName:=&quot;&quot;xml_lToWinChars:=kTruexml_lRowMaxLength:=32000&lt;&gt; \txml_lRealCommaToPoint:=kFalsexml_lUseEDI:=kFalsexml_lUseXML:=kTrue xml_lThermoShow:=kTrue 0</code><SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:eb="http://www.oasis-open.org/committees/ebxml-msg/schema/msg-header-2_0.xsd">
<SOAP-ENV:Header>
<eb:MessageHeader xmlns:eb="http://www.oasis-open.org/committees/ebxml-msg/schema/msg-header-2_0.xsd" SOAP-ENV:mustUnderstand="1" eb:id="20030222133003285">
<eb:From>
<eb:PartyId><code>FI9352900220303935finvoice_INVOICE_Frame_data5eb:PartyIdMCode0in_tSellerAccountIDXml:=_prf_ Txt (&quot;&quot;;&quot;in_Finvoice_Settings&quot;)  // &lt;&gt; \tin_tFinvoiceSettingsName  xml_tCodeData:=xml ValueGet (in_tSellerAccountIDXml;&quot;InvoiceRecipientAddress&quot;)0eb:PartyId</code></eb:PartyId>
<eb:Role>Senderfinvoice_INVOICE_Frame_data6eb:RoleMA0Sender0eb:Role</eb:Role>
</eb:From>
<eb:From>
<eb:PartyId><code>OKOYFIHHfinvoice_INVOICE_Frame_data9eb:PartyIdMCode0in_tSellerAccountIDXml:=_prf_ Txt (&quot;&quot;;&quot;in_Finvoice_Settings&quot;)  // &lt;&gt; \tin_tFinvoiceSettingsName  xml_tCodeData:=xml ValueGet (in_tSellerAccountIDXml;&quot;SellerBic&quot;)0eb:PartyId</code></eb:PartyId>
<eb:Role>Intermediatorfinvoice_INVOICE_Frame_data10eb:RoleMA0Intermediator0eb:Role</eb:Role>
</eb:From>
<code>finvoice_INVOICE_Frame_data12Find Receivers companyMCode0_txt:=_fld ValueStr(in_kCompany_id)_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)0</code><eb:To>
<eb:PartyId>003717980076finvoice_INVOICE_Frame_data14eb:PartyIdMField0co_kElectronic_Invoice_Address0eb:PartyId</eb:PartyId>
<eb:Role>Receiverfinvoice_INVOICE_Frame_data15eb:RoleMA0Receiver0eb:Role</eb:Role>
</eb:To>
<eb:To>
<eb:PartyId>POPFFI22finvoice_INVOICE_Frame_data18eb:PartyIdMField0co_kSWIFT_Code0eb:PartyId</eb:PartyId>
<eb:Role>Intermediatorfinvoice_INVOICE_Frame_data19eb:RoleMA0Intermediator0eb:Role</eb:Role>
</eb:To>
<eb:CPAId>yoursandmycpafinvoice_INVOICE_Frame_data21eb:CPAIdMA0yoursandmycpa0eb:CPAId</eb:CPAId>
<eb:ConversationId>nnnnnfinvoice_INVOICE_Frame_data22eb:ConversationIdMA0nnnnn0eb:ConversationId</eb:ConversationId>
<eb:Service>Routingfinvoice_INVOICE_Frame_data23eb:ServiceMA0Routing0eb:Service</eb:Service>
<eb:Action>ProcessInvoicefinvoice_INVOICE_Frame_data24eb:ActionMA0ProcessInvoice0eb:Action</eb:Action>
<eb:MessageData>
<eb:MessageId>230035finvoice_INVOICE_Frame_data26eb:MessageIdMField0in_kInvoice_ID0eb:MessageId</eb:MessageId>
<eb:Timestamp><code>2024-04-27finvoice_INVOICE_Frame_data28eb:TimestampMCode0_txt:=_date ToString (_date Current (kTrue ))_txt:=Replace string(_txt;&quot;.&quot;;&quot;-&quot;)xml_tCodeData:=_txtp�iv�m��r� eroteltuna viivalla0</code>Tfinvoice_INVOICE_Frame_data29eb:TimestampMA0TT0<code>17:43:00finvoice_INVOICE_Frame_data30eb:TimestampMCode0_txt2:=_time ToString (_time Current (kTrue ))xml_tCodeData:=_txt2aika0</code>+02finvoice_INVOICE_Frame_data31eb:TimestampMA0+02aikavy�hyke0</eb:Timestamp>
<eb:RefToMessageId/>
</eb:MessageData>
</eb:MessageHeader>
</SOAP-ENV:Header>
<SOAP-ENV:Body>
<eb:Manifest eb:id="Manifest" eb:version="2.0">
<eb:Reference eb:id="Finvoice" xlink:href="230035finvoice_INVOICE_Frame_data40eb:ReferenceMField0in_kInvoice_ID0">
<eb:schema eb:location="http://www.pankkiyhdistys.fi/verkkolasku/finvoice/finvoice.xsd" eb:version="2.0"/>
</eb:Reference>
</eb:Manifest>
</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
<code>finvoice_INVOICE_Header2CodeMCode0xml DOCUMENT_SEND (&quot;finvoice_INVOICE_Frame&quot;)0</code><?xml version="1.0" encoding="ISO-8859-15"?>
finvoice_INVOICE_Header4DoctypeA0Finvoice 1.2: &lt;!DOCTYPE Finvoice SYSTEM &quot;Finvoice.dtd&quot;&gt; \t0<?xml-stylesheet type="text/xsl" href="Finvoice.xsl"?>
<Finvoice Version="1.3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"  xsi:noNamespaceSchemaLocation="Finvoice.xsd">
<code>finvoice_INVOICE_SellerPartyDetails1Find our CompanyMCode0_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t&lt;&gt; \tmgsFIRMATUN;&quot;&quot;;kFalse)0</code><SellerPartyDetails>
<SellerPartyIdentifier>0849338-0finvoice_INVOICE_SellerPartyDetails3SellerPartyIdentifierMField0co_kTrade_Registry_Number0SellerPartyIdentifier</SellerPartyIdentifier>
<SellerOrganisationName>Manage Applications Kyfinvoice_INVOICE_SellerPartyDetails4SellerOrganisationNameMField0co_kName0SellerOrganisationName</SellerOrganisationName>
<SellerOrganisationTaxCode>FI08493380finvoice_INVOICE_SellerPartyDetails5SellerOrganisationTaxCodeMField0co_kVAT_Numberco_kVAT_Number?0SellerOrganisationTaxCode</SellerOrganisationTaxCode>
<SellerPostalAddressDetails>
<SellerStreetName>Laukaantie 4finvoice_INVOICE_SellerPartyDetails7SellerStreetNameMField0co_kAddress0SellerStreetName</SellerStreetName>
<SellerTownName>Jyv�skyl�finvoice_INVOICE_SellerPartyDetails8SellerTownNameMField0co_kPost_Office0SellerTownName</SellerTownName>
<SellerPostCodeIdentifier>40320finvoice_INVOICE_SellerPartyDetails9SellerPostCodeIdentifierMField0co_kPost_Code0SellerPostCodeIdentifier</SellerPostCodeIdentifier>
<CountryCode>FIfinvoice_INVOICE_SellerPartyDetails10CountryCodeMA0FI0CountryCode</CountryCode>
<CountryName>FINLANDfinvoice_INVOICE_SellerPartyDetails11CountryNameMA0FINLAND0CountryName</CountryName>
</SellerPostalAddressDetails>
</SellerPartyDetails>
<SellerOrganisationUnitNumber>003708493380  finvoice_INVOICE_SellerOrganisationUnitNumber1SellerOrganisationUnitNumberMField0co_kElectronic_Invoice_AddressOVT-tunnus0SellerOrganisationUnitNumber</SellerOrganisationUnitNumber>
<code>finvoice_INVOICE_SellerContactPersonName1Find right company and right personMCode0_sel RELATE_MANY(in_kInvoice_ID;inr_kInvoice_id)_rec FIRST(inr_kTbl)_txt2:=_fld ValueStr(inr_kEmployee_id)_qry Fld(0;em_kEmployee_ID;&quot;=&quot;;-&gt; \t_txt2;&quot;&quot;;kFalse)0</code><SellerContactPersonName>Pasi Mankinenfinvoice_INVOICE_SellerContactPersonName2SellerContactPersonNameMField0em_kWhole_NameDefault_Sales_Person_id0SellerContactPersonName</SellerContactPersonName>
<SellerCommunicationDetails>
<SellerPhoneNumberIdentifier><code>014 621 161finvoice_INVOICE_SellerCommunicationDetails3SellerPhoneNumberIdentifierCode0If (_fld ValueStr(co_kTelephone_Area_Code)#&quot;&quot;) xml_tCodeData:=_fld ValueStr(co_kTelephone_Area_Code)+&quot; &quot;+ _fld ValueStr(co_kTelephone_Number)Else xml_tCodeData:=_fld ValueStr(co_kTelephone_Number)End if0</code></SellerPhoneNumberIdentifier>
<SellerEmailaddressIdentifier>finvoice_INVOICE_SellerCommunicationDetails5SellerEmailaddressIdentifierMField0co_keMail0SellerEmailaddressIdentifier</SellerEmailaddressIdentifier>
</SellerCommunicationDetails>
<SellerInformationDetails>
<SellerHomeTownName>Jyv�skyl�finvoice_INVOICE_SellerInformationDetails2SellerHomeTownNameMField0co_kPost_Office0SellerHomeTownName</SellerHomeTownName>
<SellerVatRegistrationText>Alv. Rek.finvoice_INVOICE_SellerInformationDetails3SellerVatRegistrationTextMA0Alv. Rek.0SellerVatRegistrationText</SellerVatRegistrationText>
finvoice_INVOICE_SellerInformationDetails4SellerVatRegistrationDateA00SellerVatRegistrationDate<SellerPhoneNumber><code>014 621 161finvoice_INVOICE_SellerInformationDetails5SellerPhoneNumberMCode0If (_fld ValueStr(co_kTelephone_Area_Code)#&quot;&quot;) xml_tCodeData:=_fld ValueStr(co_kTelephone_Area_Code)+&quot; &quot;+ _fld ValueStr(co_kTelephone_Number)Else xml_tCodeData:=_fld ValueStr(co_kTelephone_Number)End if \t 0SellerPhoneNumber</code></SellerPhoneNumber>
<SellerFaxNumber><code>014 621 163finvoice_INVOICE_SellerInformationDetails6SellerFaxNumberMCode0If (_fld ValueStr(co_kFax_Area_Code)#&quot;&quot;) xml_tCodeData:=_fld ValueStr(co_kFax_Area_Code)+&quot; &quot;+ _fld ValueStr(co_kFax_Number)Else xml_tCodeData:=_fld ValueStr(co_kFax_Number)End if0SellerFaxNumber</code></SellerFaxNumber>
<SellerCommonEmailaddressIdentifier>finvoice_INVOICE_SellerInformationDetails7SellerCommonEmailaddressIdentifierMField0co_keMail0SellerCommonEmailaddressIdentifier</SellerCommonEmailaddressIdentifier>
<SellerWebaddressIdentifier>finvoice_INVOICE_SellerInformationDetails8SellerWebaddressIdentifierMField0co_kWWW0SellerWebaddressIdentifier</SellerWebaddressIdentifier>
<SellerFreeText>finvoice_INVOICE_SellerInformationDetails9SellerFreeTextMA00SellerFreeText</SellerFreeText>
<SellerAccountDetails>
<SellerAccountID IdentificationSchemeName="IBAN">FI9352900220303935finvoice_INVOICE_SellerAccountDetails_data3SellerAccountIDMVariable0in_tSellerAccountID0</SellerAccountID>
<SellerBic IdentificationSchemeName="BIC">OKOYFIHHfinvoice_INVOICE_SellerAccountDetails_data6SellerBicMVariable0in_tSellerBic0</SellerBic>
</SellerAccountDetails>
<code>finvoice_INVOICE_SellerInformationDetails10SellerAccountDetailsMCode0If (_fld ValueStr (in_kType_ )#&lt;&gt; \tin_tFinancingInvoiceType)  in_tSellerAccountIDXml:=_prf_ Txt (&quot;&quot;;&quot;in_Finvoice_Settings&quot;)  // &lt;&gt; \tin_tFinvoiceSettingsName    in_tSellerAccountID:=xml ValueGet (in_tSellerAccountIDXml;&quot;SellerAccountID&quot;)  While (in_tSellerAccountID#&quot;&quot;)    in_tSellerBic:=xml ValueGet (in_tSellerAccountIDXml;&quot;SellerBic&quot;)    xml DOCUMENT_SEND (&quot;finvoice_INVOICE_SellerAccountDetails&quot;)    in_tSellerAccountIDXml:=xml TagDelete (in_tSellerAccountIDXml;&quot;SellerAccountID&quot;;kFalse )    in_tSellerAccountIDXml:=xml TagDelete (in_tSellerAccountIDXml;&quot;SellerBic&quot;;kFalse )    in_tSellerAccountID:=xml ValueGet (in_tSellerAccountIDXml;&quot;SellerAccountID&quot;)  End while End if 0</code><code>finvoice_INVOICE_SellerInformationDetails11Find invoice receivers CompanyMCode0_txt:=_fld ValueStr(in_kCompany_id)_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)0</code><InvoiceRecipientDetails>
<InvoiceRecipientAddress><code>FI9352900220303935finvoice_INVOICE_SellerInformationDetails13InvoiceRecipientAddressMCode0in_tSellerAccountIDXml:=_prf_ Txt (&quot;&quot;;&lt;&gt; \tin_tFinvoiceSettingsName)xml_tCodeData:=xml ValueGet (in_tSellerAccountIDXml;&quot;InvoiceRecipientAddress&quot;)Electronic invoicing address of the seller for example  IBAN0InvoiceRecipientAddress</code></InvoiceRecipientAddress>
<InvoiceRecipientIntermediatorAddress><code>OKOYFIHHfinvoice_INVOICE_SellerInformationDetails14InvoiceRecipientIntermediatorAddressMCode0_txt:=_prf_ Txt (&quot;&quot;;&lt;&gt; \tin_tFinvoiceSettingsName)xml_tCodeData:=xml ValueGet (_txt;&quot;SellerBic&quot;)BIC0InvoiceRecipientIntermediatorAddress</code></InvoiceRecipientIntermediatorAddress>
</InvoiceRecipientDetails>
</SellerInformationDetails>
<code>finvoice_INVOICE_InvoiceSenderPartyDetails1Find invoice senders CompanyMCode0_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t&lt;&gt; \tmgsFIRMATUN;&quot;&quot;;kFalse)0</code><InvoiceSenderPartyDetails>
<InvoiceSenderOrganisationName>Manage Applications Kyfinvoice_INVOICE_InvoiceSenderPartyDetails3InvoiceSenderOrganisationNameMField0co_kName0InvoiceSenderOrganisationName</InvoiceSenderOrganisationName>
</InvoiceSenderPartyDetails>
<code>finvoice_INVOICE_InvoiceRecipientPartyDetails1Find invoice receivers CompanyMCode0_txt:=_fld ValueStr(in_kCompany_id)_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)0</code><InvoiceRecipientPartyDetails>
<InvoiceRecipientPartyIdentifier>1798007-6finvoice_INVOICE_InvoiceRecipientPartyDetails3InvoiceRecipientPartyIdentifierMField35co_kTrade_Registry_Number0InvoiceRecipientPartyIdentifier</InvoiceRecipientPartyIdentifier>
<InvoiceRecipientOrganisationName>Ultratec Oy, Ostolaskutfinvoice_INVOICE_InvoiceRecipientPartyDetails4InvoiceRecipientOrganisationNameMField35co_kName0InvoiceRecipientOrganisationName</InvoiceRecipientOrganisationName>
<InvoiceRecipientOrganisationTaxCode>finvoice_INVOICE_InvoiceRecipientPartyDetails5InvoiceRecipientOrganisationTaxCodeMField35co_kVAT_Number0InvoiceRecipientOrganisationTaxCode</InvoiceRecipientOrganisationTaxCode>
<InvoiceRecipientPostalAddressDetails>
<InvoiceRecipientStreetName>PL 32003finvoice_INVOICE_InvoiceRecipientPartyDetails7InvoiceRecipientStreetNameMField35co_kAddress0InvoiceRecipientStreetName</InvoiceRecipientStreetName>
<InvoiceRecipientTownName>Laskutfinvoice_INVOICE_InvoiceRecipientPartyDetails8InvoiceRecipientTownNameMField35co_kPost_Office0InvoiceRecipientTownName</InvoiceRecipientTownName>
<InvoiceRecipientPostCodeIdentifier>01051finvoice_INVOICE_InvoiceRecipientPartyDetails9InvoiceRecipientPostCodeIdentifierMField35co_kPost_Code0InvoiceRecipientPostCodeIdentifier</InvoiceRecipientPostCodeIdentifier>
<CountryCode><code>FIfinvoice_INVOICE_InvoiceRecipientPartyDetails10CountryCodeMCode2xml_tCodeData:=&quot;&quot;xml_tParam:=_fld ValueStr(co_kCountry)If(xml_tParam=&quot;&quot;) | (xml_tParam=&quot;@Finland@&quot;) | (xml_tParam=&quot;@Suomi@&quot;)  xml_tCodeData:=&quot;FI&quot;End ifif(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;FI&quot;End ifFI0CountryCode</code></CountryCode>
<CountryName><code>FINLANDfinvoice_INVOICE_InvoiceRecipientPartyDetails11CountryNameMCode35xml_tCodeData:=&quot;&quot;xml_tCodeData:=_fld ValueStr(co_kCountry)If (xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;FINLAND&quot;End ifFINLAND0CountryName</code></CountryName>
<InvoiceRecipientPostOfficeBoxIdentifier>finvoice_INVOICE_InvoiceRecipientPartyDetails12InvoiceRecipientPostOfficeBoxIdentifierMA35co_kAddress0InvoiceRecipientPostOfficeBoxIdentifier</InvoiceRecipientPostOfficeBoxIdentifier>
</InvoiceRecipientPostalAddressDetails>
</InvoiceRecipientPartyDetails>
<InvoiceRecipientOrganisationUnitNumber>finvoice_INVOICE_InvoiceRecipientOrganisationUnitNumber1InvoiceRecipientOrganisationUnitNumberMField0co_kVAT_NumberOVT0InvoiceRecipientOrganisationUnitNumber</InvoiceRecipientOrganisationUnitNumber>
<InvoiceRecipientCommunicationDetails>
<InvoiceRecipientPhoneNumberIdentifier><code>044 3368493finvoice_INVOICE_InvoiceRecipientCommunicationDetails3InvoiceRecipientPhoneNumberIdentifierMCode0xml_tCodeData:=_fld ValueStr(co_kTelephone_Area_Code) + &quot; &quot;+ _fld ValueStr(co_kTelephone_Number)0</code></InvoiceRecipientPhoneNumberIdentifier>
<InvoiceRecipientEmailaddressIdentifier>timo@tehovinssi.fifinvoice_INVOICE_InvoiceRecipientCommunicationDetails5InvoiceRecipientEmailaddressIdentifierMField0co_keMail0InvoiceRecipientEmailaddressIdentifier</InvoiceRecipientEmailaddressIdentifier>
</InvoiceRecipientCommunicationDetails>
<code>finvoice_INVOICE_BuyerPartyDetails1Find CompanyMCode0in_lGetValuesFromCustomer:=kFalsein_tDeliveryAdress:=_fld ValueStr(in_kDelivery_Address)Case of : (_fld ValueStr (in_kCompany_id)#_fld ValueStr (in_kDelivery_Company_id))   in_lGetValuesFromCustomer:=kTrue : (_fld ValueStr(in_kInvoice_Address)=in_tDeliveryAdress)   in_lGetValuesFromCustomer:=kTrueEnd case_txt:=_fld ValueStr(in_kDelivery_Company_id)If(_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)&lt;=0)   in_lGetValuesFromCustomer:=kFalseEnd if_txt:=_fld ValueStr(in_kCompany_id)_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)0</code><BuyerPartyDetails>
<BuyerPartyIdentifier><code>1798007-6finvoice_INVOICE_BuyerPartyDetails3BuyerPartyIdentifierMCode0xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kTrade_Registry_Number)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End ifco_kTrade_Registry_Number0BuyerPartyIdentifier</code></BuyerPartyIdentifier>
<BuyerOrganisationName><code>Ultratec Oyfinvoice_INVOICE_BuyerPartyDetails4BuyerOrganisationNameMCode35xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;1)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kName)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End ifco_kName0BuyerOrganisationName</code></BuyerOrganisationName>
<BuyerOrganisationTaxCode><code>finvoice_INVOICE_BuyerPartyDetails5BuyerOrganisationTaxCodeMCode0xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kVAT_Number)End ifco_kVAT_Number0BuyerOrganisationTaxCode</code></BuyerOrganisationTaxCode>
<BuyerPostalAddressDetails>
<BuyerStreetName><code>Rautakyl�ntie 1finvoice_INVOICE_BuyerPartyDetails7BuyerStreetNameMCode35xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;2)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kAddress)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End ifco_kAddress0BuyerStreetName</code></BuyerStreetName>
<BuyerTownName><code>Pet�j�vesifinvoice_INVOICE_BuyerPartyDetails8BuyerTownNameMCode35xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;3)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kPost_Office)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End ifco_kPost_Office0BuyerTownName</code></BuyerTownName>
<BuyerPostCodeIdentifier><code>41900finvoice_INVOICE_BuyerPartyDetails9BuyerPostCodeIdentifierMCode0xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kPost_Code)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End ifco_kPost_Code0BuyerPostCodeIdentifier</code></BuyerPostCodeIdentifier>
<CountryCode><code>FIfinvoice_INVOICE_BuyerPartyDetails10CountryCodeMCode0xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tParam:=_fld ValueStr(co_kCountry)  If(xml_tParam=&quot;&quot;) | (xml_tParam=&quot;@Finland@&quot;) | (xml_tParam=&quot;@Suomi@&quot;)    xml_tCodeData:=&quot;FI&quot;  End ifEnd ifif(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;FI&quot;End ifFI0CountryCode</code></CountryCode>
<CountryName><code>FINLANDfinvoice_INVOICE_BuyerPartyDetails11CountryNameMCode0xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kCountry)  If (xml_tCodeData=&quot;&quot;)    xml_tCodeData:=&quot;FINLAND&quot;  End ifEnd ifFINLAND0CountryName</code></CountryName>
<BuyerPostOfficeBoxIdentifier>finvoice_INVOICE_BuyerPartyDetails12BuyerPostOfficeBoxIdentifierMA0co_kAddress0BuyerPostOfficeBoxIdentifier</BuyerPostOfficeBoxIdentifier>
</BuyerPostalAddressDetails>
</BuyerPartyDetails>
<BuyerOrganisationUnitNumber>finvoice_INVOICE_BuyerOrganisationUnitNumber1BuyerOrganisationUnitNumberMField0co_kVAT_numberOVT-tunnus0BuyerOrganisationUnitNumber</BuyerOrganisationUnitNumber>
<BuyerContactPersonName>Timo Ruokolainenfinvoice_INVOICE_BuyerContactPersonName1BuyerContactPersonNameMField0in_kYour_ReferenceDefault_Sales_Person_id0BuyerContactPersonName</BuyerContactPersonName>
<BuyerCommunicationDetails>
<BuyerPhoneNumberIdentifier><code>044 3368493finvoice_INVOICE_BuyerCommunicationDetails3BuyerPhoneNumberIdentifierMCode0xml_tCodeData:=_fld ValueStr(co_kTelephone_Area_Code) + &quot; &quot;+ _fld ValueStr(co_kTelephone_Number)0</code></BuyerPhoneNumberIdentifier>
<BuyerEmailaddressIdentifier>timo@tehovinssi.fifinvoice_INVOICE_BuyerCommunicationDetails5BuyerEmailaddressIdentifierMField0co_keMail0BuyerEmailaddressIdentifier</BuyerEmailaddressIdentifier>
</BuyerCommunicationDetails>
<code>finvoice_INVOICE_DeliveryPartyDetails1Find our CompanyMCode0in_lGetValuesFromCustomer:=kFalsein_tDeliveryAdress:=_fld ValueStr(in_kDelivery_Address)Case of : (_fld ValueStr (in_kCompany_id)#_fld ValueStr (in_kDelivery_Company_id))   in_lGetValuesFromCustomer:=kTrue : (_fld ValueStr(in_kInvoice_Address)=in_tDeliveryAdress)   in_lGetValuesFromCustomer:=kTrueEnd case_txt:=_fld ValueStr(in_kDelivery_Company_id)If(_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)&lt;=0)   in_lGetValuesFromCustomer:=kFalseEnd if0</code><DeliveryPartyDetails>
<DeliveryPartyIdentifier><code>1798007-6finvoice_INVOICE_DeliveryPartyDetails3DeliveryPartyIdentifierMCode35xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kTrade_Registry_Number)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if0DeliveryPartyIdentifier</code></DeliveryPartyIdentifier>
<DeliveryOrganisationName><code>Ultratec Oyfinvoice_INVOICE_DeliveryPartyDetails4DeliveryOrganisationNameMCode35xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;1)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kName)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if0DeliveryOrganisationName</code></DeliveryOrganisationName>
<DeliveryOrganisationTaxCode><code>finvoice_INVOICE_DeliveryPartyDetails5DeliveryOrganisationTaxCodeMCode35xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kVAT_Number)End if0DeliveryOrganisationTaxCode</code></DeliveryOrganisationTaxCode>
<DeliveryPostalAddressDetails>
<DeliveryStreetName><code>Rautakyl�ntie 1finvoice_INVOICE_DeliveryPartyDetails7DeliveryStreetNameMCode35xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;2)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kAddress)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if0DeliveryStreetName</code></DeliveryStreetName>
<DeliveryTownName><code>Pet�j�vesifinvoice_INVOICE_DeliveryPartyDetails8DeliveryTownNameMCode35xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;3)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kPost_Office)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if0DeliveryTownName</code></DeliveryTownName>
<DeliveryPostCodeIdentifier><code>41900finvoice_INVOICE_DeliveryPartyDetails9DeliveryPostCodeIdentifierMCode35xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kPost_Code)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if0DeliveryPostCodeIdentifier</code></DeliveryPostCodeIdentifier>
<CountryCode><code>FIfinvoice_INVOICE_DeliveryPartyDetails10CountryCodeMCode2xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tParam:=_fld ValueStr(co_kCountry)  If(xml_tParam=&quot;&quot;) | (xml_tParam=&quot;@Finland@&quot;) | (xml_tParam=&quot;@Suomi@&quot;)    xml_tCodeData:=&quot;FI&quot;  End ifEnd ifif(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;FI&quot;End if0CountryCode</code></CountryCode>
<CountryName><code>FINLANDfinvoice_INVOICE_DeliveryPartyDetails11CountryNameMCode35xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kCountry)  If (xml_tCodeData=&quot;&quot;)    xml_tCodeData:=&quot;FINLAND&quot;  End ifEnd if0CountryName</code></CountryName>
<DeliveryPostofficeBoxIdentifier>finvoice_INVOICE_DeliveryPartyDetails12DeliveryPostofficeBoxIdentifierMA35co_kAddress0DeliveryPostofficeBoxIdentifier</DeliveryPostofficeBoxIdentifier>
</DeliveryPostalAddressDetails>
</DeliveryPartyDetails>
<DeliveryOrganisationUnitNumber>003717980076finvoice_INVOICE_DeliveryOrganisationUnitNumber1DeliveryOrganisationUnitNumberMField0co_kElectronic_Invoice_AddressOVT-tunnus0DeliveryOrganisationUnitNumber</DeliveryOrganisationUnitNumber>
<DeliveryCommunicationDetails>
<DeliveryPhoneNumberIdentifier><code>044 3368493finvoice_INVOICE_DeliveryCommunicationDetails2DeliveryPhoneNumberIdentifierMCode0xml_tCodeData:=_fld ValueStr(co_kTelephone_Area_Code)+&quot; &quot;+_fld ValueStr(co_kTelephone_Number)0DeliveryPhoneNumberIdentifier</code></DeliveryPhoneNumberIdentifier>
<DeliveryEmailaddressIdentifier><code>timo@tehovinssi.fi finvoice_INVOICE_DeliveryCommunicationDetails3DeliveryEmailaddressIdentifierMCode0xml_tCodeData:=_fld ValueStr(co_keMail)+&quot; &quot;0DeliveryEmailaddressIdentifier</code></DeliveryEmailaddressIdentifier>
</DeliveryCommunicationDetails>
<code>finvoice_INVOICE_DeliveryDetails1find dispatch noteMCode0_txt:=_fld ValueStr (inr_kDispatch_Note )If (_txt#&quot;&quot;)  _qry Fld (0;dn_kDispatch_Note_ID ;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse )Else   _sel REDUCE (dn_kTbl ;0)End if If (_sel RecsInSel (dn_kTbl )&lt;=0)  xml_fSegmentSend:=falseEnd if0</code><code>finvoice_INVOICE_InvoiceDetails1Find CompanyMCode0_txt:=_fld ValueStr(in_kCompany_id)_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)0</code><InvoiceDetails>
<InvoiceTypeCode>INV01finvoice_INVOICE_InvoiceDetails3InvoiceTypeCodeMA0INV01xml_sStr:=_fld ValueStr (in_kType_)Case of    : (xml_sStr=&quot;NO&quot;)     xml_tCodeData:=&quot;380&quot;   : (xml_sStr=&quot;HY&quot;)     xml_tCodeData:=&quot;381&quot; Else     xml_tCodeData:=&quot;380&quot;End case0InvoiceTypeCode</InvoiceTypeCode>
<InvoiceTypeText>LASKUfinvoice_INVOICE_InvoiceDetails4InvoiceTypeTextMA0LASKU0InvoiceTypeText</InvoiceTypeText>
<OriginCode>Originalfinvoice_INVOICE_InvoiceDetails5OriginCodeMA0Original0OriginCode</OriginCode>
<InvoiceNumber>230035finvoice_INVOICE_InvoiceDetails6InvoiceNumberMField0in_kInvoice_id0InvoiceNumber</InvoiceNumber>
<InvoiceDate Format="CCYYMMDD">20231205finvoice_INVOICE_InvoiceDetails8MField0in_kDate_YYYYMMDD0</InvoiceDate>
<SellerReferenceIdentifier>230012/PMfinvoice_INVOICE_InvoiceDetails10SellerReferenceIdentifierMField0in_kOur_Reference0SellerReferenceIdentifier</SellerReferenceIdentifier>
finvoice_INVOICE_InvoiceDetails11SellerReferenceIdentifierUrlTextA00SellerReferenceIdentifierUrlText<OrderIdentifier>finvoice_INVOICE_InvoiceDetails12OrderIdentifierMField0in_kCustomer_Order_Number0OrderIdentifier</OrderIdentifier>
finvoice_INVOICE_InvoiceDetails13OrderIdentifierUrlTextA00OrderIdentifierUrlTextfinvoice_INVOICE_InvoiceDetails14AgreementIdentifierA00AgreementIdentifierfinvoice_INVOICE_InvoiceDetails15AgreementIdentifierUrlTextA00AgreementIdentifierUrlText<InvoiceTotalVatExcludedAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_InvoiceDetails17InvoiceTotalVatExcludedAmountMField0in_kCurrency_ID0">finvoice_INVOICE_InvoiceDetails18InvoiceTotalVatExcludedAmount0&quot;&gt; \t0485,04finvoice_INVOICE_InvoiceDetails19InvoiceTotalVatExcludedAmountMField0in_kPrice_Total########0.000</InvoiceTotalVatExcludedAmount>
<InvoiceTotalVatAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_InvoiceDetails22InvoiceTotalVatAmountMField0in_kCurrency_ID0">finvoice_INVOICE_InvoiceDetails23InvoiceTotalVatAmount0&quot;&gt; \t0116,41finvoice_INVOICE_InvoiceDetails24InvoiceTotalVatAmountMField0in_kVAT_Total########0.000</InvoiceTotalVatAmount>
<InvoiceTotalVatIncludedAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_InvoiceDetails27InvoiceTotalVatIncludedAmountMField0in_kCurrency_ID0">finvoice_INVOICE_InvoiceDetails28InvoiceTotalVatIncludedAmountM0&quot;&gt; \t0601,45finvoice_INVOICE_InvoiceDetails29InvoiceTotalVatIncludedAmountMField0in_kTotal_Amount########0.000</InvoiceTotalVatIncludedAmount>
finvoice_INVOICE_InvoiceDetails31ShortProposedAccountIdentifierA00ShortProposedAccountIdentifierfinvoice_INVOICE_InvoiceDetails32NormalProposedAccountIdentifierA00NormalProposedAccountIdentifierfinvoice_INVOICE_InvoiceDetails33AccountDimensionTextA00AccountDimensionText<VatSpecificationDetails>
<VatBaseAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_Vat_data3VatBaseAmountMField0in_kCurrency_ID0">485,04finvoice_INVOICE_Vat_data5VatBaseAmountMField0in_kPrice_Total########0.000</VatBaseAmount>
<VatRatePercent>24finvoice_INVOICE_Vat_data7VatRatePercentMVariable0in_rVatPercentageFinvoiceinr_kVAT_Percentage0VatRatePercent</VatRatePercent>
<VatRateAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_Vat_data9VatRateAmountMField0in_kCurrency_ID0">116,41finvoice_INVOICE_Vat_data11VatRateAmountMVariable0in_rVatPriceFinvoicein_kVAT_Total########0.000</VatRateAmount>
</VatSpecificationDetails>
<code>finvoice_INVOICE_InvoiceDetails34VatSpecificationDetailsMCode0_sel RELATE_MANY (in_kInvoice_ID ;inr_kInvoice_id )ARRAY REAL(in_arVAT_Percentage_tmp;0)ARRAY REAL(in_arVAT_Price_tmp;0)in_ VAT_ARR_CREATE (-&gt; \tin_arVAT_Percentage_tmp;-&gt; \tin_arVAT_Price_tmp)SORT ARRAY(in_arVAT_Percentage_tmp;in_arVAT_Price_tmp;&lt;)_long2:=Size of array(in_arVAT_Percentage_tmp)  //$in_lArrSize -&gt; \t _longFor (_long;1;_long2)    in_rVatPercentageFinvoice:=in_arVAT_Percentage_tmp{_long}  in_rVatPriceFinvoice:=in_arVAT_Price_tmp{_long}    xml DOCUMENT_SEND (&quot;finvoice_INVOICE_VatSpecification&quot;)  End for_sel RELATE_MANY(in_kInvoice_ID;inr_kInvoice_id)_long2:=_sel RecsInSel (inr_kTbl )_ord FLD (inr_kTbl ;inr_kRow_Number ;1)_sel REC_FIRST (inr_kTbl )For (_long;1;_long2)  xml DOCUMENT_SEND (&quot;finvoice_INVOICE_Rows&quot;)  _sel REC_NEXT (inr_kTbl )End for 0</code><InvoiceFreeText><code>finvoice_INVOICE_InvoiceDetails35InvoiceFreeTextMCode70xml_tCodeData:=_fld ValueStr (in_kFootnote )_txt:=_fld ValueStr (in_kInvoice_Text )_date:=_fld ValueDate (in_kDue_Date )_date2:=_fld ValueDate (in_kCash_Discount_Due_Date )If ((_date=_date2) | (_date2=!00.00.00!))  xml_tCodeData:=&quot;&quot;End if If (false) If (_fld ValueBoolean (in_kPrinted )=True)  _txt2:=&quot;* Tulostettu *&quot;  If (xml_tCodeData#&quot;&quot;)    xml_tCodeData:=xml_tCodeData+&quot; / &quot;  End if   xml_tCodeData:=xml_tCodeData+_txt2 End if End ifCase of   : ((xml_tCodeData#&quot;&quot;) &amp; (_txt#&quot;&quot;))    xml_tCodeData:=xml_tCodeData+&quot; / &quot;+_txt  : (_txt#&quot;&quot;)    xml_tCodeData:=_txtEnd case in_kInvoice_Text0InvoiceFreeText</code></InvoiceFreeText>
<PaymentTermsDetails>
<PaymentTermsFreeText><code>7 pv nettofinvoice_INVOICE_InvoiceDetails37PaymentTermsFreeTextMCode0_sel RELATE_MANY (in_kTerms_Of_Payment_id ;top_kTerms_Of_Payment_id)if (_sel RecsInSel (top_kTbl )&gt; \t0)xml_tCodeData:=_fld ValueStr (top_kName )elsexml_tCodeData:=&quot;&quot;end if0PaymentTermsFreeText</code></PaymentTermsFreeText>
<InvoiceDueDate Format="CCYYMMDD">20231212finvoice_INVOICE_InvoiceDetails39InvoiceDueDateMField0in_kDue_DateYYYYMMDD0</InvoiceDueDate>
<code>finvoice_INVOICE_InvoiceDetails56Cash discount endMCode0xml_ SEGMENT_ROW_SEND_SET (kTrue)0</code><PaymentOverDueFineDetails>
<PaymentOverDueFineFreeText>7 pvfinvoice_INVOICE_InvoiceDetails58PaymentOverDueFineFreeTextMField0in_kRemark_Time0PaymentOverDueFineFreeText</PaymentOverDueFineFreeText>
<PaymentOverDueFinePercent>8finvoice_INVOICE_InvoiceDetails59PaymentOverDueFinePercentMField0in_kPenalty_Interest0PaymentOverDueFinePercent</PaymentOverDueFinePercent>
</PaymentOverDueFineDetails>
</PaymentTermsDetails>
</InvoiceDetails>
<PartialPaymentDetails>
<PaidAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_PartialPaymentDetails3PaidAmountMField0in_kCurrency_ID0">0,00finvoice_INVOICE_PartialPaymentDetails5PaidAmountMField0in_kPaid_Total########0.000</PaidAmount>
<UnPaidAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_PartialPaymentDetails8UnPaidAmountMField0in_kCurrency_ID0">601,45finvoice_INVOICE_PartialPaymentDetails10UnPaidAmountMField0in_kTotal_Amount########0.000</UnPaidAmount>
<InterestPercent>8finvoice_INVOICE_PartialPaymentDetails12InterestPercentMField0in_kPenalty_Interest0InterestPercent</InterestPercent>
finvoice_INVOICE_PartialPaymentDetails13ProcessingCostsAmountA00ProcessingCostsAmount<PartialPaymentVatIncludedAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_PartialPaymentDetails15PartialPaymentVatIncludedAmountMField0in_kCurrency_ID0">601,45finvoice_INVOICE_PartialPaymentDetails17PartialPaymentVatIncludedAmountMField0in_kTotal_Amount########0.000</PartialPaymentVatIncludedAmount>
<PartialPaymentVatExcludedAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_PartialPaymentDetails20PartialPaymentVatExcludedAmountMField0in_kCurrency_ID0">485,04finvoice_INVOICE_PartialPaymentDetails22PartialPaymentVatExcludedAmountMField0in_kPrice_Total########0.000</PartialPaymentVatExcludedAmount>
<PartialPaymentDueDate Format="CCYYMMDD">20231212finvoice_INVOICE_PartialPaymentDetails25PartialPaymentDueDateMField0in_kDue_DateYYYYMMDD0</PartialPaymentDueDate>
<PartialPaymentReferenceIdentifier>23003508133finvoice_INVOICE_PartialPaymentDetails27PartialPaymentReferenceIdentifierMField0in_kReference_Number0PartialPaymentReferenceIdentifier</PartialPaymentReferenceIdentifier>
</PartialPaymentDetails>
<InvoiceRow>
finvoice_INVOICE_Row_data3RowSubIdentifierA00RowSubIdentifier<ArticleIdentifier>finvoice_INVOICE_Row_data4ArticleIdentifierMA02010-07-14, Article Id is given by seller, EANetc. inr_kProduct_id, pr_kEAN_Code, pr_kProduct_Code?0ArticleIdentifier</ArticleIdentifier>
finvoice_INVOICE_Row_data5BuyerArticleIdentifier00BuyerArticleIdentifier<ArticleName><code>Manageri II -ohjelmiston vuoden 2023 yll�pito, er� 3/4 (edellinen yll�pitolasku nro 230020).finvoice_INVOICE_Row_data6ArticleNameMCode100xml_tCodeData:=_fld ValueStr (inr_kExplanation)xml_tCodeData:=Replace string(xml_tCodeData;ksCR;&quot; &quot;)2010-07-14, replace cr code PM 2020-10-260ArticleName</code></ArticleName>
finvoice_INVOICE_Row_data7ArticleInfoUrlText00ArticleInfoUrlText<DeliveredQuantity QuantityUnitCode="kplfinvoice_INVOICE_Row_data9DeliveredQuantityMField0inr_kUnit0">finvoice_INVOICE_Row_data10DeliveredQuantity0&quot;&gt; \t01finvoice_INVOICE_Row_data11DeliveredQuantityMField0inr_kDelivered_Quantity0</DeliveredQuantity>
<OrderedQuantity QuantityUnitCode="kplfinvoice_INVOICE_Row_data14OrderedQuantityMField0inr_kUnit0">finvoice_INVOICE_Row_data15OrderedQuantity0&quot;&gt; \t01finvoice_INVOICE_Row_data16OrderedQuantityMField0inr_kOrder_Amount0</OrderedQuantity>
finvoice_INVOICE_Row_data18ConfirmedQuantity00ConfirmedQuantityfinvoice_INVOICE_Row_data19StartDate00StartDatefinvoice_INVOICE_Row_data20EndDate00EndDate<UnitPriceAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_Row_data22UnitPriceAmountMField0in_kCurrency_ID0">finvoice_INVOICE_Row_data23UnitPriceAmount0&quot;&gt; \t0242,52finvoice_INVOICE_Row_data24UnitPriceAmountMField0inr_kPrice__Unit########0.000</UnitPriceAmount>
<RowIdentifier>finvoice_INVOICE_Row_data26RowIdentifierMField0inr_kDispatch_NoteIdentifier given by buyer when the original order was done. In interest invoice or credit note relates to the original invoice. or: inr_kCustomer_Row_Number ?0RowIdentifier</RowIdentifier>
finvoice_INVOICE_Row_data27RowIdentifierUrlText00RowIdentifierUrlTextfinvoice_INVOICE_Row_data28RowIdentifierDateA0Should be dDate when the order was done. In interest invoice it is the date of the original invoice.YYYYMMDD0finvoice_INVOICE_Row_data29RowDeliveryIdentifier00RowDeliveryIdentifierfinvoice_INVOICE_Row_data30RowDeliveryUrlText00RowDeliveryUrlText<RowDeliveryDate Format="CCYYMMDD">20231205finvoice_INVOICE_Row_data32RowDeliveryDateMField0inr_kDelivery_DateYYYYMMDD0</RowDeliveryDate>
finvoice_INVOICE_Row_data34RowQuatationIdentifier00RowQuatationIdentifierfinvoice_INVOICE_Row_data35RowQuatationIdentifierUrlText00RowQuatationIdentifierUrlTextfinvoice_INVOICE_Row_data36RowAgreementIdentifier00RowAgreementIdentifierfinvoice_INVOICE_Row_data37RowAgreementIdentifierUrlText00RowAgreementIdentifierUrlText<RowDeliveryDetails>
<RowWaybillIdentifier>finvoice_INVOICE_Row_data39RowWaybillIdentifierMA00RowWaybillIdentifier</RowWaybillIdentifier>
</RowDeliveryDetails>
<code>finvoice_INVOICE_Row_data41Code0_sel RELATE_ONE (soc_kSales_Order_Code_ID ;inr_kSales_Order_Code_id )_sel RELATE_ONE (ac_kAccount_ID ;soc_kSales_Account_id )_txt:=_fld ValueStr (ac_kSend_Accounts )_txt2:=_str Parse(_txt;&quot;,&quot;;1)_txt3:=_str Parse(_txt;&quot;,&quot;;2)_sel RELATE_ONE (soc_kSales_Order_Code_ID ;inr_kSales_Order_Code_id )_sel RELATE_ONE (ac_kAccount_ID ;soc_kSales_Account_id )0</code><RowShortProposedAccountIdentifier>400finvoice_INVOICE_Row_data42RowShortProposedAccountIdentifierMVariable0_txt20RowShortProposedAccountIdentifier</RowShortProposedAccountIdentifier>
<RowNormalProposedAccountIdentifier>4000finvoice_INVOICE_Row_data43RowNormalProposedAccountIdentifierMVariable0_txt30RowNormalProposedAccountIdentifier</RowNormalProposedAccountIdentifier>
finvoice_INVOICE_Row_data44RowAccountDimensionTextA00RowAccountDimensionText<RowFreeText><code>As. viite: Timo Ruokolainenfinvoice_INVOICE_Row_data45RowFreeTextMCode0xml_tCodeData:=&quot;&quot;_txt:=_fld ValueStr (inr_kDispatch_Note )If (_txt#&quot;&quot;)  xml_tCodeData:=&quot;L�hetyslista: &quot;+_fld ValueStr (inr_kDispatch_Note )End if _txt:=_fld ValueStr (inr_kSales_Order )If (_txt#&quot;&quot;)  _qry Fld (0;so_kSales_Order_ID ;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse )  If (_sel RecsInSel (so_kTbl )&gt; \t0)    _txt:=_fld ValueStr (so_kYour_Reference )    If (_txt#&quot;&quot;)      If (xml_tCodeData#&quot;&quot;)        xml_tCodeData:=xml_tCodeData+&quot; / &quot;      End if       xml_tCodeData:=xml_tCodeData+&quot;As. viite: &quot;+_txt    End if     _txt:=_fld ValueStr (so_kCustomer_Order_Number )    If (_txt#&quot;&quot;)      If (xml_tCodeData#&quot;&quot;)        xml_tCodeData:=xml_tCodeData+&quot; / &quot;      End if       xml_tCodeData:=xml_tCodeData+&quot;As. tilausnumero: &quot;+_txt    End if   End if End if SOP asetus: xml_tCodeData:= _fld ValueStr(inr_kExplanation)If (_fld ValueStr(inr_kDispatch_Note)#&quot;&quot;) xml_tCodeData:=&quot;L�hetyslista: &quot;+_fld ValueStr(inr_kDispatch_Note)+&quot; /  &quot;+ksCR+xml_tCodeDataEnd if0RowFreeText</code></RowFreeText>
<RowDiscountPercent>0finvoice_INVOICE_Row_data46RowDiscountPercentMField0inr_kDiscount_Percentage0RowDiscountPercent</RowDiscountPercent>
<RowVatRatePercent>24finvoice_INVOICE_Row_data47RowVatRatePercentMField0inr_kVAT_Percentage0RowVatRatePercent</RowVatRatePercent>
<RowVatCode>finvoice_INVOICE_Row_data48RowVatCodeCField10soc_kVAT_CodeAB, MarginaaliveroAE, K��nnetty ALVE, Yhteis�myyntiG, Veroton myynti ulkomaille (kolmannet maat)O, Veroton palveluS, Normaali veroprosenttiZ, Veroton tuotZEG, Vero tavaraostoista muista EU-maistaZES, Vero palveluostoista muista EU-maista0RowVatCode</RowVatCode>
<RowVatAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_Row_data50RowVatAmountMField0in_kCurrency_ID0">finvoice_INVOICE_Row_data51RowVatAmount0&quot;&gt; \t058,20finvoice_INVOICE_Row_data52RowVatAmountMField0inr_kVAT_Price########0.000</RowVatAmount>
<RowVatExcludedAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_Row_data55RowVatExcludedAmountMField0in_kCurrency_ID0">finvoice_INVOICE_Row_data56RowVatExcludedAmount0&quot;&gt; \t0242,52finvoice_INVOICE_Row_data57RowVatExcludedAmountMField0 inr_kPrice_Total ########0.000</RowVatExcludedAmount>
<RowAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_Row_data60RowAmountMField0in_kCurrency_ID0">finvoice_INVOICE_Row_data61RowAmount0&quot;&gt; \t0300,72finvoice_INVOICE_Row_data62RowAmountMField0inr_kTotal_Amount########0.000</RowAmount>
finvoice_INVOICE_Row_data64SubInvoiceRow00SubInvoiceRow</InvoiceRow>
<InvoiceRow>
finvoice_INVOICE_Row_data3RowSubIdentifierA00RowSubIdentifier<ArticleIdentifier>finvoice_INVOICE_Row_data4ArticleIdentifierMA02010-07-14, Article Id is given by seller, EANetc. inr_kProduct_id, pr_kEAN_Code, pr_kProduct_Code?0ArticleIdentifier</ArticleIdentifier>
finvoice_INVOICE_Row_data5BuyerArticleIdentifier00BuyerArticleIdentifier<ArticleName><code>Manageri II -ohjelmiston vuoden 2023 yll�pito, er� 4/4 (edellinen yll�pitolasku nro 230020).finvoice_INVOICE_Row_data6ArticleNameMCode100xml_tCodeData:=_fld ValueStr (inr_kExplanation)xml_tCodeData:=Replace string(xml_tCodeData;ksCR;&quot; &quot;)2010-07-14, replace cr code PM 2020-10-260ArticleName</code></ArticleName>
finvoice_INVOICE_Row_data7ArticleInfoUrlText00ArticleInfoUrlText<DeliveredQuantity QuantityUnitCode="kplfinvoice_INVOICE_Row_data9DeliveredQuantityMField0inr_kUnit0">finvoice_INVOICE_Row_data10DeliveredQuantity0&quot;&gt; \t01finvoice_INVOICE_Row_data11DeliveredQuantityMField0inr_kDelivered_Quantity0</DeliveredQuantity>
<OrderedQuantity QuantityUnitCode="kplfinvoice_INVOICE_Row_data14OrderedQuantityMField0inr_kUnit0">finvoice_INVOICE_Row_data15OrderedQuantity0&quot;&gt; \t01finvoice_INVOICE_Row_data16OrderedQuantityMField0inr_kOrder_Amount0</OrderedQuantity>
finvoice_INVOICE_Row_data18ConfirmedQuantity00ConfirmedQuantityfinvoice_INVOICE_Row_data19StartDate00StartDatefinvoice_INVOICE_Row_data20EndDate00EndDate<UnitPriceAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_Row_data22UnitPriceAmountMField0in_kCurrency_ID0">finvoice_INVOICE_Row_data23UnitPriceAmount0&quot;&gt; \t0242,52finvoice_INVOICE_Row_data24UnitPriceAmountMField0inr_kPrice__Unit########0.000</UnitPriceAmount>
<RowIdentifier>finvoice_INVOICE_Row_data26RowIdentifierMField0inr_kDispatch_NoteIdentifier given by buyer when the original order was done. In interest invoice or credit note relates to the original invoice. or: inr_kCustomer_Row_Number ?0RowIdentifier</RowIdentifier>
finvoice_INVOICE_Row_data27RowIdentifierUrlText00RowIdentifierUrlTextfinvoice_INVOICE_Row_data28RowIdentifierDateA0Should be dDate when the order was done. In interest invoice it is the date of the original invoice.YYYYMMDD0finvoice_INVOICE_Row_data29RowDeliveryIdentifier00RowDeliveryIdentifierfinvoice_INVOICE_Row_data30RowDeliveryUrlText00RowDeliveryUrlText<RowDeliveryDate Format="CCYYMMDD">20231205finvoice_INVOICE_Row_data32RowDeliveryDateMField0inr_kDelivery_DateYYYYMMDD0</RowDeliveryDate>
finvoice_INVOICE_Row_data34RowQuatationIdentifier00RowQuatationIdentifierfinvoice_INVOICE_Row_data35RowQuatationIdentifierUrlText00RowQuatationIdentifierUrlTextfinvoice_INVOICE_Row_data36RowAgreementIdentifier00RowAgreementIdentifierfinvoice_INVOICE_Row_data37RowAgreementIdentifierUrlText00RowAgreementIdentifierUrlText<RowDeliveryDetails>
<RowWaybillIdentifier>finvoice_INVOICE_Row_data39RowWaybillIdentifierMA00RowWaybillIdentifier</RowWaybillIdentifier>
</RowDeliveryDetails>
<code>finvoice_INVOICE_Row_data41Code0_sel RELATE_ONE (soc_kSales_Order_Code_ID ;inr_kSales_Order_Code_id )_sel RELATE_ONE (ac_kAccount_ID ;soc_kSales_Account_id )_txt:=_fld ValueStr (ac_kSend_Accounts )_txt2:=_str Parse(_txt;&quot;,&quot;;1)_txt3:=_str Parse(_txt;&quot;,&quot;;2)_sel RELATE_ONE (soc_kSales_Order_Code_ID ;inr_kSales_Order_Code_id )_sel RELATE_ONE (ac_kAccount_ID ;soc_kSales_Account_id )0</code><RowShortProposedAccountIdentifier>400finvoice_INVOICE_Row_data42RowShortProposedAccountIdentifierMVariable0_txt20RowShortProposedAccountIdentifier</RowShortProposedAccountIdentifier>
<RowNormalProposedAccountIdentifier>4000finvoice_INVOICE_Row_data43RowNormalProposedAccountIdentifierMVariable0_txt30RowNormalProposedAccountIdentifier</RowNormalProposedAccountIdentifier>
finvoice_INVOICE_Row_data44RowAccountDimensionTextA00RowAccountDimensionText<RowFreeText><code>As. viite: Timo Ruokolainenfinvoice_INVOICE_Row_data45RowFreeTextMCode0xml_tCodeData:=&quot;&quot;_txt:=_fld ValueStr (inr_kDispatch_Note )If (_txt#&quot;&quot;)  xml_tCodeData:=&quot;L�hetyslista: &quot;+_fld ValueStr (inr_kDispatch_Note )End if _txt:=_fld ValueStr (inr_kSales_Order )If (_txt#&quot;&quot;)  _qry Fld (0;so_kSales_Order_ID ;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse )  If (_sel RecsInSel (so_kTbl )&gt; \t0)    _txt:=_fld ValueStr (so_kYour_Reference )    If (_txt#&quot;&quot;)      If (xml_tCodeData#&quot;&quot;)        xml_tCodeData:=xml_tCodeData+&quot; / &quot;      End if       xml_tCodeData:=xml_tCodeData+&quot;As. viite: &quot;+_txt    End if     _txt:=_fld ValueStr (so_kCustomer_Order_Number )    If (_txt#&quot;&quot;)      If (xml_tCodeData#&quot;&quot;)        xml_tCodeData:=xml_tCodeData+&quot; / &quot;      End if       xml_tCodeData:=xml_tCodeData+&quot;As. tilausnumero: &quot;+_txt    End if   End if End if SOP asetus: xml_tCodeData:= _fld ValueStr(inr_kExplanation)If (_fld ValueStr(inr_kDispatch_Note)#&quot;&quot;) xml_tCodeData:=&quot;L�hetyslista: &quot;+_fld ValueStr(inr_kDispatch_Note)+&quot; /  &quot;+ksCR+xml_tCodeDataEnd if0RowFreeText</code></RowFreeText>
<RowDiscountPercent>0finvoice_INVOICE_Row_data46RowDiscountPercentMField0inr_kDiscount_Percentage0RowDiscountPercent</RowDiscountPercent>
<RowVatRatePercent>24finvoice_INVOICE_Row_data47RowVatRatePercentMField0inr_kVAT_Percentage0RowVatRatePercent</RowVatRatePercent>
<RowVatCode>finvoice_INVOICE_Row_data48RowVatCodeCField10soc_kVAT_CodeAB, MarginaaliveroAE, K��nnetty ALVE, Yhteis�myyntiG, Veroton myynti ulkomaille (kolmannet maat)O, Veroton palveluS, Normaali veroprosenttiZ, Veroton tuotZEG, Vero tavaraostoista muista EU-maistaZES, Vero palveluostoista muista EU-maista0RowVatCode</RowVatCode>
<RowVatAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_Row_data50RowVatAmountMField0in_kCurrency_ID0">finvoice_INVOICE_Row_data51RowVatAmount0&quot;&gt; \t058,20finvoice_INVOICE_Row_data52RowVatAmountMField0inr_kVAT_Price########0.000</RowVatAmount>
<RowVatExcludedAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_Row_data55RowVatExcludedAmountMField0in_kCurrency_ID0">finvoice_INVOICE_Row_data56RowVatExcludedAmount0&quot;&gt; \t0242,52finvoice_INVOICE_Row_data57RowVatExcludedAmountMField0 inr_kPrice_Total ########0.000</RowVatExcludedAmount>
<RowAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_Row_data60RowAmountMField0in_kCurrency_ID0">finvoice_INVOICE_Row_data61RowAmount0&quot;&gt; \t0300,72finvoice_INVOICE_Row_data62RowAmountMField0inr_kTotal_Amount########0.000</RowAmount>
finvoice_INVOICE_Row_data64SubInvoiceRow00SubInvoiceRow</InvoiceRow>
<code>finvoice_INVOICE_Line_Items1CodeMCode0_sel RELATE_MANY(in_kInvoice_ID;inr_kInvoice_id)_long2:=_sel RecsInSel (inr_kTbl )_ord FLD (inr_kTbl ;inr_kRow_Number ;1)_sel REC_FIRST (inr_kTbl )For (_long;1;_long2)  xml DOCUMENT_SEND (&quot;finvoice_INVOICE_Rows&quot;)  _sel REC_NEXT (inr_kTbl )End for 0</code><SpecificationDetails>
<SpecificationFreeText>finvoice_INVOICE_SpecificationDetails2SpecificationFreeTextMA00SpecificationFreeText</SpecificationFreeText>
</SpecificationDetails>
<code>finvoice_INVOICE_EpiDetails1Find Sellers companyMCode0If (_fld ValueStr(in_kType_)=&lt;&gt; \tin_tFinancingInvoiceType)  _txt:=&quot;in_Finvoice_Settings&quot;  //&lt;&gt; \tin_tFinvoiceSettingsName   _txt:=_prf_ Txt (&quot;&quot;;_txt)  _txt:=xml ValueGet (_txt;&quot;FactoringCompanyId&quot;)    If(_txt=&quot;&quot;)   _txt:=&lt;&gt; \tmgsFIRMATUN  End if  _qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)Else   _txt:=&lt;&gt; \tmgsFIRMATUN  _qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)End ifIf (_sel RecsInSel(co_kTbl)&lt;=0)  _err MESSAGE(_lang Current(&quot;Company was not found&quot;)+&quot;: &quot;+_txt;&quot;INVOICE_EpiDetails&quot;;kFalse)End if0</code><EpiDetails>
<EpiIdentificationDetails>
<EpiDate Format="CCYYMMDD"><code>finvoice_INVOICE_EpiDetails5EpiDateMCode0_date:=_date Current(kTrue)0</code>20240427finvoice_INVOICE_EpiDetails6EpiDateMVariable0_dateYYYYMMDD0</EpiDate>
<EpiReference>23003508133finvoice_INVOICE_EpiDetails8EpiReferenceMField0in_kReference_Number0EpiReference</EpiReference>
finvoice_INVOICE_EpiDetails9EpiUrlA00EpiUrl<EpiEmail>finvoice_INVOICE_EpiDetails10EpiEmailMField0co_keMail0EpiEmail</EpiEmail>
finvoice_INVOICE_EpiDetails11EpiOrderInfoA00EpiOrderInfo</EpiIdentificationDetails>
<EpiPartyDetails>
<EpiBfiPartyDetails>
<EpiBfiIdentifier IdentificationSchemeName="BIC">OKOYFIHHfinvoice_INVOICE_EpiDetails16EpiBfiIdentifierMField0co_kSWIFT_Code0</EpiBfiIdentifier>
</EpiBfiPartyDetails>
<EpiBeneficiaryPartyDetails>
<EpiNameAddressDetails>Manage Applications Kyfinvoice_INVOICE_EpiDetails20EpiNameAddressDetailsMField0co_kName0EpiNameAddressDetails</EpiNameAddressDetails>
<EpiBei>0849338-0finvoice_INVOICE_EpiDetails21EpiBeiMField0co_kTrade_Registry_Number0EpiBei</EpiBei>
<EpiAccountID IdentificationSchemeName="IBAN">FI9352900220303935finvoice_INVOICE_EpiDetails23EpiAccountIDMField0co_kBank_Account0</EpiAccountID>
</EpiBeneficiaryPartyDetails>finvoice_INVOICE_EpiDetails25M0&lt;/EpiBeneficiaryPartyDetails&gt; \t0
</EpiPartyDetails>
<EpiPaymentInstructionDetails>
finvoice_INVOICE_EpiDetails28EpiPaymentInstructionIdA00EpiPaymentInstructionIdfinvoice_INVOICE_EpiDetails29EpiTransactionTypeCodeA00EpiTransactionTypeCodefinvoice_INVOICE_EpiDetails30EpiInstructionCodeA00EpiInstructionCode<EpiRemittanceInfoIdentifier IdentificationSchemeName="SPY">23003508133finvoice_INVOICE_EpiDetails32EpiRemittanceInfoIdentifierMField0in_kReference_Number0</EpiRemittanceInfoIdentifier>
<EpiInstructedAmount AmountCurrencyIdentifier="EURfinvoice_INVOICE_EpiDetails35EpiInstructedAmountMField0in_kCurrency_ID0">601,45finvoice_INVOICE_EpiDetails37EpiInstructedAmountMField0in_kTotal_Amount########0.000</EpiInstructedAmount>
<EpiCharge ChargeOption="SHA">SHA</EpiCharge>
<EpiDateOptionDate Format="CCYYMMDD">20231212finvoice_INVOICE_EpiDetails41EpiDateOptionDateMField0in_kDue_DateYYYYMMDD0</EpiDateOptionDate>
</EpiPaymentInstructionDetails>
</EpiDetails>
</Finvoice>
<code>finvoice_INVOICE_Footer2CodeMCode0_tbl WRITE_STATE (in_kTbl ;kTrue )_rec LOCKED_WAIT (in_kTbl ;kTrue)Case of:(OK=0)  xml_lCancelled:=kTrue  _err MESSAGE(&quot;Lasku oli lukittuna &quot;+&quot;: &quot;+_fld ValueStr(in_kInvoice_ID)+ksCR+&quot;L�hetysaineistoa ei muodostettu&quot;;&quot;XML l�hetys&quot;;kFalse):(OK=1)   xml_tInvoiceText:=_fld ValueStr(in_kSend_State)   xml_tInvoiceText:=_txt_ ParameterAdd(xml_tInvoiceText;&quot;,&quot;;kLast;&lt;&gt; \tin_tElectronicInvoiceSendType;kTrue)    _fld VALUE_STR_SET (kSet ;in_kSend_State;xml_tInvoiceText)  xml_tInvoiceText:=_fld ValueStr(in_kInfo)  _txt:=&quot;Finvoice l�hetys&quot;+ksSpace +_date DateTimeToString )   xml_tInvoiceText:=_txt_ ParameterAdd(xml_tInvoiceText;ksCR;kLast;_txt;kFalse)    _fld VALUE_STR_SET (kSet ;in_kInfo;xml_tInvoiceText)  xml_tInvoiceText:=&quot;&quot;  _rec SAVE (in_kTbl )End case_tbl WRITE_STATE (in_kTbl ;kPrevious )0</code><code>Finvoice_in_Invoices1ExportMCode0C_LONGINT(xml_lInvoiceCounter;xml_lRecsInSel)in_ RUN (kInit )xml_ CONVERSION_CHARACTER_SET(&quot;ISO-8859-15&quot;) // windows-1252xml_lInvoiceCounter:=0xml_lRecsInSel2:=_sel RecsInSel (in_kTbl )_rec FIRST (in_kTbl )For (xml_lInvoiceCounter;1;xml_lRecsInSel2)  xml_sInvoice_ID:=_fld ValueStr (in_kInvoice_ID )  xml_lSegmentCount:=0  xml DOCUMENT_SEND (&quot;finvoice_INVOICE&quot;)    _rec NEXT (in_kTbl )End for xml_tInvoiceName:=&quot;&quot;xml_tInvoiceText:=&quot;&quot;0</code>
